<?php
	include_once(__DIR__."/../../core.php");
	
	$idordine = $id_record;
	
	switch( $html->form('op', 'post') ){
		case "add":
			if ($modules_info[$module_name]["permessi"] == 'rw') {
				$data = saveDate( $_POST['data'] );
				$numero = $_POST['numero'] ;
				$descrizione = $_POST['descrizione'] ;
				
			
				$query = "INSERT INTO ms_cespiti( data, numero, descrizione ) VALUES ( \"".$data."\", \"".$numero."\", \"".$descrizione."\")";
				$id_record = $dbo->query($query);

				array_push( $_SESSION['infos'], "Aggiunto Cespite numero ".$numero."!" );
			}	
			
			break;

		case "update":
			if ($modules_info[$module_name]["permessi"] == 'rw') {
				if( $idordine != '' ){
					$data = saveDate( $_POST['data'] );
					$numero = $_POST['numero'] ;
					$descrizione = $_POST['descrizione'] ;
					$idgruppo = save($_POST['idgruppo']);
					$idstato = save($_POST['idstato']);
					//Query di aggiornamento
					$query = "UPDATE ms_cespiti SET descrizione=\"".$descrizione."\", data=\"".$data."\", numero='".$numero."', 
					idtipocespite='$idstato',
					idgruppocespite='$idgruppo' WHERE id=\"$id_record\"";

					if( $dbo->query($query) ){
						$query = "SELECT descrizione FROM ms_cespiti WHERE id='$idordine'";
						$rs = $dbo->fetchArray($query);
				
						array_push( $_SESSION['infos'], "Cespite modificato correttamente!" );
					}
				}
			}
			break;

			
		//eliminazione ordine
		case "delete":
			if ($modules_info[$module_name]["permessi"] == 'rw') {
				if( isset( $_GET['id_record'] ) ){
					$dbo->query( "DELETE FROM ms_cespiti WHERE id='$idordine'" );
					array_push( $_SESSION['infos'], "Cespite eliminato!" );
				}
			}
			
			break;
	


		
			
	}
?>
